# $Revision: 1.60.2.1 $, $Date: 2004/04/14 13:10:15 $
#
# Conditional build:
%bcond_without	db3	# build with db3 instead of db 4.x
#
%define		ver		2.01
%define		patchlvl	10
Summary:	The Webalizer - A web server log file analysis thingie
Summary(es):	Software para anlisis de archivos de log de servidores WWW
Summary(pl):	Webalizer - analizator logw serwera www
Summary(pt_BR):	Um software para anlise de arquivos de log de servidores WWW
Summary(ru):	  log- web/ftp/proxy-
Summary(uk):	 ̦ log- web/ftp/proxy-
Name:		webalizer
Version:	%{ver}_%{patchlvl}
Release:	7
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{ver}-%{patchlvl}-src.tar.bz2
# Source0-md5:	26d0a3c142423678daed2d6f579525d8
Source1:	http://linux.gda.pl/pub/webalizer/%{name}_lang.polish
# Source1-md5:	510bc595699373c4d7a8093a5ea10df3
Patch0:		%{name}-debian-23.patch
Patch1:		%{name}-nolibnsl.patch
Patch2:		%{name}-conf.patch
Patch3:		%{name}-debian_gcc2_fix.patch
Icon:		webalizer.gif
URL:		http://www.mrunix.net/webalizer/
BuildRequires:	autoconf
%{!?with_db3:BuildRequires:	db-devel}
%{?with_db3:BuildRequires:	db3-devel}
BuildRequires:	gd-devel >= 2.0.1
BuildRequires:	gettext-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webdir		/home/httpd

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser. The
results are presented in both columnar and graphical format, which
facilitates interpretation. Yearly, monthly, daily and hourly usage
statistics are presented, along with the ability to display usage by
site, URL, referrer, user agent (browser) and country (user agent and
referrer are only available if your web server produces combined log
format files).

%description -l es
Software para anlisis de archivos de log de servidores WWW.

%description -l pl
Webalizer to program analizujcy logi serwera www i tworzcy strony w
formacie HTML zawierajce statystyki uycia tego serwera www. Wyniki
s prezentowane jednoczenie w formacie kolumnowym i graficznym, co
uatwia interpretacj. Program prezentuje statystyki roczne,
miesiczne, dzienne i godzinowe, ma te moliwo wywietlania
statystyk w zalenoci od serwisu, URL-a, strony z ktrej byo
odwoanie (czyli nagwka Referer), przegldarki i kraju (przy czym
statystyki w zalenoci od przegldarki i nagwka Referer s dostpne
tylko jeli serwer loguje informacje o odwiedzinach w formacie
"combined").

%description -l pt_BR
Um analisador de arquivos de log de servidores WWW.

%description -l ru
Webalizer -     web-, 
  HTML ,   . 
   ,     , 
 .    , ,  
,       , URL,
,    (  cc  , 
     ).

%description -l uk
Webalizer -   ̦ Ǧ web-,   
 HTML Ԧ,   .    
,    Ʀ Ԧ,  դ æ.
   Ҧ, ͦ,   ,  צ
   Ӧ ̦, URL, ,  
Φ (   Φ      
¦ Ԧ).

%prep
%setup -q -n %{name}-%{ver}-%{patchlvl}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

install %{SOURCE1} lang/

%build
# don't call aclocal, aclocal.m4 contains only one _local_ macro
%{__autoconf}
CFLAGS="%{rpmcflags} -fsigned-char"
%configure \
	--with-gd \
	--with-db \
	--with-dblib \
	--enable-dns
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_webdir}/icons

install sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/webalizer.conf
install webalizer $RPM_BUILD_ROOT%{_bindir}
install webalizer.1 $RPM_BUILD_ROOT%{_mandir}/man1
install msfree.png $RPM_BUILD_ROOT%{_webdir}/icons

for lang in $(cd po && ls -1 *.mo); do
	dir=$(echo "$lang" | sed -e 's#\.mo##g')
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/${dir}/LC_MESSAGES
	install po/${lang} $RPM_BUILD_ROOT%{_datadir}/locale/${dir}/LC_MESSAGES/webalizer.mo
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES *README* country-codes.txt
%config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/webalizer.conf
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_bindir}/webalizer
%{_mandir}/man1/*
%{_webdir}/icons/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: webalizer.spec,v $
Revision 1.60.2.1  2004/04/14 13:10:15  blues
- release 7 - multilanguage support for RA

Revision 1.60  2004/04/14 12:55:57  blues
- added debian_gcc2_fix patch to let it build on gcc2 too.

Revision 1.59  2004/04/14 11:33:47  twittner
- bcond fixed

Revision 1.58  2004/04/13 19:32:04  blues
- a bit better default configuration

Revision 1.57  2004/03/25 21:02:50  blues
- updated polish translation

Revision 1.56  2004/02/13 00:20:35  arekm
- ups

Revision 1.55  2004/02/13 00:10:08  arekm
- fixed ipv6 resolver and gettext support; rel 5

Revision 1.54  2003/12/16 18:50:09  qboosh
- don't call aclocal (fixes build)

Revision 1.53  2003/12/03 14:20:04  ankry
- workaround for broken bcond/rpm

Revision 1.52  2003/12/02 16:25:33  mmazur
- rel 4 to rebuild with new db

Revision 1.51  2003/11/23 02:51:26  undefine
- release 3 to rebuild with ac

Revision 1.50  2003/10/08 13:53:46  qboosh
- fixed _with_db3 bcond, bconds description

Revision 1.49  2003/09/18 09:52:41  misi3k
- added bcond lang_pl

Revision 1.48  2003/09/15 12:29:50  adamg
- Source0-md5 added

Revision 1.47  2003/05/25 06:27:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/02/12 17:12:18  qboosh
- use just "PLD Linux" in README.IPv6 (in ipv6 patch)
- added nolibnsl patch
- use db 4.x by default, bcond for db3

Revision 1.45  2003/02/12 14:55:35  areq
-  BuildRequires:        db-devel

Revision 1.44  2002/12/06 21:34:14  orzech
- /home/httpd -> /home/services/httpd

Revision 1.43  2002/12/02 11:06:28  ankry
- massive cleaning

Revision 1.42  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/08/09 20:15:30  blues
- added dir to put there own configs f.e. vituals

Revision 1.40  2002/08/09 19:43:39  blues
- Release 2: new doc, few cosmetic fixes; STBR

Revision 1.39  2002/05/21 23:14:54  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.38  2002/05/05 17:40:36  kloczek
- merge translations from KSI and Conectiva.

Revision 1.37  2002/05/05 16:47:31  qboosh
- updated to 2.01-10 (contains better fix for security hole)
- updated ipv6 patch, removed obsolete security patch
- longer pl description

Revision 1.36  2002/04/17 08:28:05  qboosh
- SECURITY fix (possible buffer overflow)
- release 2, STBR

Revision 1.35  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/03 20:23:47  areq
- 2.01_09, STBR

Revision 1.31  2001/10/30 03:44:43  kloczek
- release 5: spec adapterized.

Revision 1.30  2001/10/11 10:19:22  qboosh
- BuildRequires: automake

Revision 1.29  2001/09/04 09:53:17  marcus
- added IPv6 support in dns resolving (patch by Arkadiusz Miskiewicz <misiek@pld.ORG.PL>)
- release 4, STBR

Revision 1.28  2001/07/13 16:37:24  wiget
release 3; gd2 ready

Revision 1.27  2001/04/13 20:40:03  qboosh
- moved /home/httpd/html/usage/* to /home/httpd/icons
- use %%rpmcflags
- release 2

Revision 1.26  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.25  2000/12/28 01:04:10  kloczek
- use new rpm automation.

Revision 1.24  2000/12/24 20:40:52  marcus
- new version 2.01 patchlevel 06
- removed obsolete gd patch
- build against db3 (changed BuildRequires from db2-devel to db3-devel)
- release 1

Revision 1.23  2000/08/31 05:33:13  kloczek
- release 3,
- rebuild against gd >= 1.8.3,
- added db2-devel to BuildRequires,
- fiew cosmetics.

Revision 1.22  2000/07/29 16:56:52  kloczek
- spec adapterized.

Revision 1.21  2000/07/28 13:59:02  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.20  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/06/07 10:08:16  kloczek
- spec adapterized.

Revision 1.18  2000/06/06 19:57:27  bonkey
- patchlevel 12

Revision 1.17  2000/04/10 08:51:17  wiget
2.00-11

Revision 1.16  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.14  2000/03/23 13:05:46  wiget
2.00-07

Revision 1.13  2000/03/08 10:19:02  wiget
patchlevel 04

Revision 1.12  2000/03/06 10:37:13  wiget
2.00-03

Revision 1.11  2000/02/18 23:12:19  kloczek
- spec adapterized and cosmetics changes.

Revision 1.10  2000/02/18 12:43:32  wiget
- update to 1.31-06

Revision 1.9  1999/08/02 12:41:09  misiek
update for gd 1.6.2

Revision 1.8  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.7  1999/07/15 18:27:07  kloczek
- updated to 1.30-04.

Revision 1.6  1999/07/15 15:20:25  pius
- fixed Group(pl),
- simplifications in %install,
- cosmetic changes.

Revision 1.5  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 25 1999 Arkadiusz Mikiewicz <misiek@pld.org.pl>
  [1.22-03]
- new version
